# Executions events

Executions events

Endpoint: POST Executions events
Version: 1.95.0

## Request fields (application/json):

  - `id` (string, required)
    Event unique identifier

  - `created_at` (string, required)
    Date and time when the event was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `type` (string, required)
    Event type
    Enum: "EXECUTION.FILLED", "EXECUTION.SETTLED", "EXECUTION.CANCELLED"

  - `object` (object, required)

  - `object.id` (string, required)

  - `object.cash_amount` (string, required)

  - `object.share_quantity` (string, required)

  - `object.price` (string, required)

  - `object.transaction_time` (string, required)

  - `object.taxes` (array, required)

  - `object.taxes.type` (string, required)
    Tax type
* TOTAL -
    Enum: "TOTAL"

  - `object.taxes.amount` (string, required)

  - `object.order_id` (string, required)

  - `object.status` (string, required)
    Execution status of the Execution.
* FILLED - 
* SETTLED - 
* CANCELLED -
    Enum: "FILLED", "SETTLED", "CANCELLED"

  - `object.side` (string, required)
    Side of the execution.
* BUY - 
* SELL -
    Enum: "BUY", "SELL"

  - `object.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - British Pound
    Enum: "EUR", "GBP"

  - `object.venue_id` (string, required)
    The ID of the venue

  - `object.settlement_date` (string)
    Order execution settlement date in the YYYY-MM-DD format. [RFC 3339, section 5.6](https://json-schema.org/draft/2020-12/json-schema-validation.html#RFC3339) RFC 3339

  - `webhook_id` (string, required)
    Webhook unique identifier.


## Response 200 fields
